<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//Los estados ya no están en constantes, sino que llegan por parametro
$estadosAlmacen=$_SESSION['estadosProductos'];

if($_GET['ubicacion']) $ubicacion=$_GET['ubicacion']; else $ubicacion=$_POST['ubicacion'];
if($_GET['procedencia']) $procedencia=$_GET['procedencia']; else $procedencia=$_POST['procedencia'];

if($_GET['volverAInventarioSiHaySoloUnPalet']=='si' || $_POST['volverAInventarioSiHaySoloUnPalet']=='si') $volverAInventarioSiHaySoloUnPalet=true; else $volverAInventarioSiHaySoloUnPalet=false;

if($_SESSION['parametrosSGA']['gestionArticulos']=='S') $mostrarFiltro=true;


$pantallaReagruparInventario=($procedencia=='reagrupar-inventario');

$mostrarEnlaces=(!$pantallaReagruparInventario);


$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSUBICACION#'.$_SESSION['almacen'].';'.$ubicacion;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);


if($_GET['traza']=='si') {
	echo "<p>Ver en cajas: ".$_SESSION['verEnCajas']."</p>";
	echo "<p>Gestión almacén: ".$_SESSION['gestion']."</p>";
	echo "<p>Gestión depósitos: ".$_SESSION['gestionDepositos']."</p>";
	echo "<p>Gestión artículos: ".$_SESSION['parametrosSGA']['gestionArticulos']."</p>";
	echo "<p>".$peticion."</p>";
	print_r($resultado);	
}
	
	

$listaPalets=array();

foreach( arreglaArrayPXMobileProxiumResult($resultado[0]['Contenedores']) as $palet) $listaPalets[]=$palet['Contenedor'];




if($procedencia=='inventario') { //21-02-2024 se modifica este subscript para obtener solo el núm e ids de los palets que contiene una ubicacion TAREA INTERNA 56712
	
	$cadenaPalets='';
	
	foreach($listaPalets as $palet) {
		if($cadenaPalets!='') $cadenaPalets.='#';
		$cadenaPalets.=$palet['Contenedor'];
	}
	
	echo $cadenaPalets;


}
else { //No es inventario --> pantalla normal palets por ubicacion
	
	//27-07-2023 esto se define aqui, al igual que en la pantalla de traspasar. No sé por qué no está en el script de parametros-almacen general
	//por si acaso lo dejo aqui, tal vez porque en otras pantallas se comporta diferente
	if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $_SESSION['gestionIdPaletCliente'] ) $_SESSION['mostrarIdsPaletCliente']=true;
	
	
	$comboFamilias=array();
	
	foreach(arreglaArrayPXMobileProxiumResult($resultado[0]['Contenedores']) as $contenedor) {
		foreach(arreglaArrayPXMobileProxiumResult($contenedor['Productos']) as $item) {
	
			if($item['FamiliaDescripcion'] && $item['FamiliaDescripcion']!='' && !in_array($item['FamiliaDescripcion'],$comboFamilias) ) $comboFamilias[]=$item['FamiliaDescripcion'];
		}
	}
	
	asort($comboFamilias);
	
	?>
	<style type="text/css">
		<!--
		.tablaFormateada .cabecera { font-size:0.9em;font-weight:500 }
		-->
		</style>
	<?php
	
	if(!$resultado[0]['Error']) {
	
		$columnasFijas=5;
		if(count($_SESSION['empresas'])>1) $columnasFijas++;
		if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') $columnasFijas=$columnasFijas+2;
		if($_SESSION['verEnCajas']) $columnasFijas++;
		if($_SESSION['gestionDepositos']=='S') $columnasFijas++;
		
		if($_SESSION['mostrarColumnasStockEnProceso']) $columnasFijas=$columnasFijas+2;
		
		$columnasVariables=0;
		foreach($_SESSION['comportamientos'] as $comportamiento) $columnasVariables++;
		
		
		
		foreach(arreglaArrayPXMobileProxiumResult($resultado[0]['Contenedores']) as $contenedor) {
			
			$dividirEnDoscolummas=($_SESSION['mostrarIdsPaletCliente'] && $contenedor['IdPaletCliente']);
			
			
			if($dividirEnDoscolummas) {
			
				$colspanDerecho=$columnasFijas-1;
				$colspanIzquierdo=$columnasVariables+1;
			}
			else {
			
				$colspanIzquierdo=$columnasFijas+$columnasFijas;
			
			}
	
			
			?>
			<table class="tablaFormateada" style="padding-bottom:70px">
			
			<?php if($_SESSION['gestionPaletizado']=='S') { ?>
			
                <tr>
                    <th colspan="<?php echo $colspanIzquierdo; ?>">Palet</th>
                     <?php if($dividirEnDoscolummas) { ?>
                     <th colspan="<?php echo $colspanDerecho; ?>">Id palet cliente</th>
                     <?php } ?>
                </tr>
                <tr>
                    <td colspan="<?php echo $colspanIzquierdo; ?>">
                    	<?php if($mostrarEnlaces) { ?><a href="info-contenedor-S.php?contenedor=<?php echo $contenedor['Contenedor']; ?>" class="mostrarCargando"><?php } ?>
						<?php echo $contenedor['Contenedor']; ?>
                        <?php if($mostrarEnlaces) { ?></a><?php } ?>
                     </td>
                     <?php if($dividirEnDoscolummas) { ?>
                    <td colspan="<?php echo $colspanDerecho; ?>"><?php echo $contenedor['IdPaletCliente']; ?></td>
                    <?php } ?>
                </tr>
        
                <tr style="font-size:0.8em;font-weight:700!important">
                    <?php if(count($_SESSION['empresas'])>1) { ?><td class="cabecera" width="100">Empresa</td><?php } ?>
                    
                    <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
                    <td class="cabecera">Cli. Prop.</td>
                    <td class="cabecera">Nombre Cli. Prop.</td>
                    <?php } ?>
                    
                    <td class="cabecera">Producto</td>
                    <?php if($_SESSION['gestion']!='PUB') { ?>
                    <td class="cabecera">Familia</td>
                    <?php } ?>
                    <td class="cabecera">Descripción</td>
                    <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <td class="cabecera"><?php echo $comportamiento['Nombre']; ?></td>
                    <?php } ?>
                    
                    <th>Estado<br />almacén</th>
                    
                    <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
                    <td class="cabecera">Ref. cliente</td>
                    <?php } ?>
                    <?php if($_SESSION['gestionDepositos']=='S') { ?>
                    <td class="cabecera">Información adicional</td><?php } ?>
                    <td class="cabecera">Stock</td>
                    
                    <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
                    <td class="cabecera">En proceso</td>
                    <td class="cabecera">Ubicado</td>
                    <?php } ?>
                    
                    <?php if($_SESSION['verEnCajas']=='S') { ?><td class="cabecera" width="100">Cajas</td><?php } ?> 
                </tr>
            
			<?php } else { ?>
            
                <tr  style="font-size:0.8em;font-weight:700!important">
                    <?php if(count($_SESSION['empresas'])>1) { ?><th class="cabecera" width="100">Empresa</th><?php } ?>
                    
                    <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
                    <th class="cabecera">Cli. Prop.</th>
                    <th class="cabecera">Nombre Cli. Prop.</th>
                    <?php } ?>
                    
                    <th class="cabecera">Producto</th>
                    <?php if($_SESSION['gestion']!='PUB') { ?>
                    <th class="cabecera">Familia</th>
                    <?php } ?>
                    <th class="cabecera">Descripción</th>
                    <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <th class="cabecera"><?php echo $comportamiento['Nombre']; ?></th>
                    <?php } ?>
                    <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
                    <th class="cabecera">Ref. cliente</th>
                    <?php } ?>
                    <?php if($_SESSION['gestionDepositos']=='S') { ?>
                    <th class="cabecera">Información adicional</th><?php } ?>
                    <th class="cabecera">Stock</th>
                    
                    <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
                    <th class="cabecera">En proceso</th>
                    <th class="cabecera">Ubicado</th>
                    <?php } ?>
                    
                    <?php if($_SESSION['verEnCajas']=='S') { ?><th class="cabecera" width="100">Cajas</th><?php } ?>
                </tr>
                
			<?php }  //fin si gestion paletizado ?>
			
			<?php foreach(arreglaArrayPXMobileProxiumResult($contenedor['Productos']) as $producto) { ?>
            
				<?php $datos=arreglaArrayPXMobileProxiumResult($producto['Datos']); ?>
                
                <?php
				
				$cadenaEnlace='info-producto-S.php?producto='.$producto['Producto'];
				if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $producto['ClientePropietario'] ) $cadenaEnlace.='&clientePropietario='.$producto['ClientePropietario'];
				
				?>
                
				<tr class="lineaOrden" tipoProducto="<?php echo $producto['TipoProducto']; ?>" familia="<?php echo $producto['FamiliaDescripcion']; ?>" codigo="<?php echo $producto['Producto']; ?>" descripcion="<?php echo $producto['Descripcion']; ?>">
					<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $producto['Empresa']; ?></td><?php } ?>
					
					<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
						<td><?php echo $producto['ClientePropietario']; ?></td>
						<td><?php echo $producto['NombreClientePropietario']; ?></td>
					<?php } ?>
					
					<td>
                    <?php if($mostrarEnlaces) { ?><a href="<?php echo $cadenaEnlace; ?>" class="mostrarCargando"><?php } ?>
					<?php echo $producto['Producto']; ?>
                    <?php if($mostrarEnlaces) { ?></a><?php } ?>
                    </td>
					<?php if($_SESSION['gestion']!='PUB') { ?>
					<td><?php echo $producto['FamiliaDescripcion']; ?></td>
					<?php } ?>
					<td><?php echo $producto['Descripcion']; ?></td>
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<td>
						<?php
						$cadenaNumerosSerie='';
						$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
						foreach($numerosSerie as $numero) {
							if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
							$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
						}
						
						if($numerosSerie && is_array($numerosSerie) && count($numerosSerie)>0 && $comportamiento['Codigo']=='NS') {
							?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
						}
						else foreach($datos as $dato) {
							if($dato['Codigo']==$comportamiento['Codigo']) {
							
								if($dato['Codigo']=='LT') { ?><a href="<?php echo $cadenaEnlace; ?>&lote=<?php echo $dato['Valor']; ?>" class="mostrarCargando"><?php }
								
								echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
								
								if($dato['Codigo']=='LT') { ?></a><?php }
								 
								break;
							}
						}
						?>
					</td>
					<?php } ?>
					
					<td align="center"><?php foreach($estadosAlmacen as $estado) if($estado['Estado']==$producto['EstadoAlmacen']) echo $estado['DescripcionEstado']; ?></td>
					
					<?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
					<td><?php echo $producto['RefCliente']; ?></td>
					<?php } ?>
					<?php if($_SESSION['gestionDepositos']=='S') { ?><td class="informacionAduanera"><?php echo $producto['InformacionAduanera']; ?></td><?php } ?>
					
					<td align="right"><?php echo $producto['Stock']; //echo number_format($producto['Stock'],0,'','.');; ?></td>
					
					<?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
					<td align="right"><?php echo $producto['StockEnProceso']; //echo number_format($producto['StockEnProceso'],0,'','.');; ?></th>
					<td align="right"><?php echo $producto['StockUbicacion']; //echo number_format($producto['StockUbicacion'],0,'','.');; ?></th>
					<?php } ?>
					
					<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
				</tr>
			
			<?php } //Fin foreach productos ?>
			
            </table>
            
            <div id="popupNumerosSerie" class="popup" style="display:none"></div>
            <div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
            
            
        <?php } //Fin foreach contenedores ?>

	
		<?php if($pantallaReagruparInventario) { //21-02-204 ?>
            
            <h2>Traspasar contenido entre palets</h2>
            
            <form id="formularioReagrupar" name="formularioReagrupar" method="post" action="">
                
                <div id="bloqueReagrupar-1">
                
                	<div style="display:flex;justify-content:center;">
                
                        <div style="width:570px;float:left">
                            <p>Palet origen:<br />
                            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor-origen-1" /><input name="contenedor-origen-1" type="text" class="campo contenedorOrigen" id="contenedor-origen-1" value="" style="width:460px" orden="1"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x iconoBorrar" id="borrarContenedor-origen-1"/></p>
                        </div>
                        
                        <div style="width:570px;float:left">
                            <p>Palet destino:<br />
                            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor-destino-1" /><input name="contenedor-destino-1" type="text" class="campo contenedorDestino" id="contenedor-destino-1" value="" style="width:460px" orden="1"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x iconoBorrar" id="borrarContenedor-destino-1"/></p>
                        </div>
                
                    </div>
                    
                    <div id="bloqueReagrupar-2"></div>
                    
                </div>
                
                <input type="hidden" name="reagruparContador" id="reagruparContador" value="1" />
                <input type="hidden" name="reagruparConfirmar" id="reagruparConfirmar" value="" />
                
                <p><input type="button" id="botonReagruparConfirmar" name="botonReagruparConfirmar" class="campo boton" value="TRASPASAR CONTENIDO"/></p>
                <p><input type="button" id="botonReagruparVolver" name="botonReagruparVolver" class="campo boton reducido" value="Volver al inventario"/></p>
            
            </form>
            
            <script>
			
				var listaPalets=new Array();
				
				<?php foreach($listaPalets as $palet) { ?>
				listaPalets.push('<?php echo $palet; ?>');
				<?php } ?>
			
				$(document).ready(function() {
				
					$(document).on('change','.contenedorOrigen',function(){
						if($(this).val()!='') {
							var orden=$(this).attr('orden');
							$('#contenedor-destino-'+orden).focus();
						}
					});
					
					$(document).on('change','.contenedorDestino',function(){
					
						/* INICIALMENTE NO DEJAMOS TRASPASAR MÁS DE UNO
					
						if($(this).val()!='') {
						
							var orden=parseInt($(this).attr('orden'));
							var nuevoOrden=orden+1;
							var nuevoOrdenSiguiente=nuevoOrden+1;
							
							console.log('contenido de: '+'#bloqueReagrupar-'+nuevoOrden);
							console.log( $('#bloqueReagrupar-'+nuevoOrden).html() );
							
							if( $('#bloqueReagrupar-'+nuevoOrden).html()=='' ) {
							
								var contenido=$('#bloqueReagrupar-'+orden).html();
								
								var nuevoContenido=contenido.replaceAll('orden="'+orden+'"','orden="'+nuevoOrden+'"');
								nuevoContenido=nuevoContenido.replaceAll('-'+orden+'"','-'+nuevoOrden+'"');
								nuevoContenido=nuevoContenido.replace('bloqueReagrupar-'+nuevoOrden,'bloqueReagrupar-'+nuevoOrdenSiguiente);
								
								$('#bloqueReagrupar-'+nuevoOrden).html( nuevoContenido );
								
								$('#reagruparContador').val(nuevoOrden);
								
								$('#contenedor-origen-'+nuevoOrden).focus();
								
							}
						}
						
						*/
						
					});
					
					$(document).on('click','.iconoTeclado',function(){
		
						var campo=$(this).siblings('input');
			
						$('#teclado').show();
						$('#valor').val( campo.val() );
						$('#valorOculto').val( campo.val() );
						$('#enter').attr('campoValor',campo.attr('id'));
						$('#enter').attr('formulario','');
						$('#enter').attr('forzarEnter','si');
						
					});
					
					$(document).on('click','.iconoBorrar',function(){
		
						var campo=$(this).siblings('input');
						
						campo.val('');
						campo.focus();
						
					});
					
					$('#botonReagruparConfirmar').on('click',function(){
					
						$('.contenedorOrigen').removeClass('campoError');
						$('.contenedorDestino').removeClass('campoError');
						
						var hayErrores=false;
					
						$('.contenedorOrigen').each(function(){
							if( listaPalets.indexOf($(this).val())==-1 || $(this).val()=='') {
								$(this).addClass('campoError');
								hayErrores=true;
							}
						});
						
						$('.contenedorDestino').each(function(){
							if( listaPalets.indexOf($(this).val())==-1 || $(this).val()=='') {
								$(this).addClass('campoError');
								hayErrores=true;
							}
						});
					
						if( hayErrores ) {
						
							alert('ERROR: Revisa los números de palets introducidos, comprueba que<br>están informados y que están en la ubicación actual.',null,'error');
						}
						else {
					
							$('#reagruparConfirmar').val(1);
							$('#popupCargando').show();
							$('#formularioReagrupar').submit();
							
						}
					
					});
					
					$('#botonReagruparVolver').on('click',function(){
					
						$('#popupCargando').show();
						window.location='inventario-sga.php?ubicacion=<?php echo $ubicacion; ?>';
					
					});
				
					$('#contenedor-origen-1').focus();
					
					<?php if($volverAInventarioSiHaySoloUnPalet && is_array($listaPalets) && count($listaPalets)==1) { ?>
					
					$('#popupCargando').show();
					window.location='inventario-sga.php?ubicacion=<?php echo $ubicacion; ?>&palet=<?php echo $listaPalets[0]; ?>';
					
					<?php } ?>
				
				});
			
			</script>
            
        <?php } ?>
        
        
        <?php if($mostrarFiltro) { ?>
        
            <div class="barraFiltro">
                
                <table cellpadding="5" style="margin:0 auto">
                    <tr>
                        <td>
                        Tipo de Producto:<br />
                        <select name="filtroTipoProducto" id="filtroTipoProducto" class="campo selectorFiltro" style="width:250px">
                            <option value="">---</option>
                            <option value="PT">Productos terminados</option>
                        </select>
                        </td>
                        
                        <td <?php if($_SESSION['gestion']!='PUB') { ?>style="display:none"<?php } ?>>
                        Familia:<br />
                        <select name="filtroFamilia" id="filtroFamilia" class="campo selectorFiltro" style="width:250px">
                            <option value="">---</option>
                            <?php foreach($comboFamilias as $item) { ?>
                            <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                            <?php } ?>
                        </select>
                        </td>
                        <td>
                        Producto:<br />
                        <input type="text" name="filtroProducto" id="filtroProducto" class="campo selectorFiltro mayusculas" style="font-size:1em;width:250px"/><img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" alt="Borrar" style="margin-left:-30px;margin-bottom:-3px" class="clicable" id="borrarFiltroProducto"/>
                        </td>
                        <td>
                        <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                        <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                        <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                        </td>
                    </tr>
                </table>
                
            </div>
        
		<?php } //Fin si gestión Articulos para barra filtros ?>
        
		
        <script>
		
		<?php if($mostrarFiltro) { ?>
		
		function repintarTabla() {
		
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			var ultimaFila=null;
			
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			if(ultimaFila) {
				ultimaFila.children('td').css('border-bottom','1px solid #999999');
				ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
				ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
			}
			
			$('#popupCargando').hide();
		
		}
		
		function aplicarFiltro(id) {
		
			$('#popupCargando').show();
		
			if( $('#filtroTipoProducto').val()=='' && $('#filtroFamilia').val()=='' && $('#filtroProducto').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaTipoProducto=false;
				var coincidenciaFamilia=false;
				var coincidenciaProducto=false;
				
				if( $('#filtroTipoProducto').val()!='' && $(this).attr('tipoProducto')==$('#filtroTipoProducto').val() ) coincidenciaTipoProducto=true;
				else if( $('#filtroTipoProducto').val()=='' ) coincidenciaTipoProducto=true;
			
				if( $('#filtroFamilia').val()!='' && $(this).attr('familia')==$('#filtroFamilia').val() ) coincidenciaFamilia=true;
				else if( $('#filtroFamilia').val()=='' ) coincidenciaFamilia=true;
				
				if( $('#filtroProducto').val()!='' && ( $(this).attr('codigo').toUpperCase()==$('#filtroProducto').val().toUpperCase() || $(this).attr('descripcion').toUpperCase().indexOf($('#filtroProducto').val().toUpperCase())>-1  ) ) coincidenciaProducto=true;
				else if( $('#filtroProducto').val()=='' ) coincidenciaProducto=true;
				
				if( coincidenciaTipoProducto && coincidenciaFamilia && coincidenciaProducto ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
		
		
		$(document).ready(function() {
		
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#filtroProducto').on("click",function(){
			
				$('#teclado').show();
				$('#valor').val( $('#filtroProducto').val() );
				$('#valorOculto').val( $('#filtroProducto').val() );
				$('#enter').attr('campoValor','filtroProducto');
				$('#enter').attr('formulario','');
				$('#enter').attr('forzarEnter','si');
				
			});
			
			$('#borrarFiltroProducto').on("click",function(){
				$('#filtroProducto').val('');
				aplicarFiltro();
			});
		
			$('#quitarFiltro').on("click",function() {
			
				$('#filtroTipoProducto option:selected').removeProp('selected');
				$('#filtroFamilia option:selected').removeProp('selected');
				$('#filtroProducto').val('');
				
				$('#filtroTipoProducto option[value=""]').prop('selected',true);
				$('#filtroFamilia option[value=""]').prop('selected',true);
				$('#filtroProducto').val('');
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				
				repintarTabla();
				
			});
			
			//Inicializamos con los productos terminados
			$('#filtroTipoProducto option[value="PT"]').prop('selected',true);
			aplicarFiltro();
			
		});
        
		<?php } //Fin scripts propios de filtros ?>
		
		$(document).ready(function() {
		
			$('.selector').on("click",function(e){
				var contenedor=$(this).attr('contenedor');
				if($('#detalle'+contenedor).css('display')=='table-row') $('#detalle'+contenedor).hide();
				else {
					$('#popupCargando').show();
					$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php", { contenedor:contenedor })
						.done(function(data) {
							$('#detalleContenedor'+contenedor).html(data);
							$('#detalle'+contenedor).show();
							$('#popupCargando').hide();
							
						});
					
				}
			});
			
			$('.verNumerosSerie').on('click',function(){
				$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
				.done(function(data) {
					$('#popupNumerosSerieContenido').html(data);
					$('#popupNumerosSerie').show();
					$('#popupNumerosSerieContenido').show();
						
					var posicion=$(document).scrollTop();
					$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
				});
			});
		
		});
		
		</script>
        
	<?php
	} //Fin si no hay error
	else {
	
		$valores=explode('#',$resultado[0]['Error']);
		
		if($valores[0]=='1') {
			?>
			<script>
				$('#ubicacion').val('');
				alert('ERROR: <?php echo $valores[1]; ?>',$('#ubicacion'),'error');
			</script>
			<?php
		}
		else {
			?>
			<script>
				alert('<?php echo $valores[1]; ?>',null,'advertencia');
			</script>
			<?php
		}
		
	}

} //Fin si NO es inventario --> carga normal para pantalla palets por ubicacion

?>